Subject: Re: The state of ext4 tree merging (was Re: Linux 6.3-rc1)

From: "Theodore Ts'o" <[email-masked]>
Date: Tue, 7 Mar 2023 11:21:37 -0500

On Tue, Mar 07, 2023 at 09:02:03AM +1100, Stephen Rothwell wrote:
> Hi all,
> 
> On Mon, 6 Mar 2023 13:41:34 +0100 Jan Kara <[email-masked]> wrote:
> >
> > To be fair, the data=journal cleanups got held back only partially due to
> > the merge issues. Another problem is that they somehow make problems with
> > filesystem freezing in data=journal mode more frequent and we wanted to
> > understand (and hopefully fix) that. Of course if Ted could look into this
> > earlier or I could earlier debug these issues, we could have merged the
> > cleanups but that's always the case that you have to prioritize and these
> > cleanups don't have that high priority...
> 
> In that case, it would be nice (for me at least) if the ext4 tree was
> now reset to be v6.3-rc1 i.e. get rid of the duplicate commits and the
> new stuff that is still being worked on.

What duplicate commits?  As far as I know there aren't any.  My normal
practice is to send a secondary push to fix a few bug fixes targetted
for upcoming release (in this case, 6.3), and then I'll reset to -rc2
or -rc3 for patches that are targetted for the next merge window (in
this case, 6.4).

The data=writeback patches was dropped from dev before the pull
request, and won't show up on dev until they are ready for Linus.

Cheers,

						- Ted